Jump to content
ABQ CTLS

Dynon Skyview 11.1 update

Recommended Posts

I tend to agree with you, I'm thinking, and you seem to confirm, "If it ain't broke don't fix it". Staying with 6.2. Thanks !

 

Cheers

 

Have been on 11.1 for two month...It's a solid version...don't lag behind, eventually Dynon will stop updating 6.2.

Share this post


Link to post
Share on other sites

Have been on 11.1 for two month...It's a solid version...don't lag behind, eventually they will stop updating your version.

Share this post


Link to post
Share on other sites

This is the first update from FD since 6.2 came out. He might be lagging behind in a couple more years, if he so chooses.

Share this post


Link to post
Share on other sites

This is the first update from FD since 6.2 came out. He might be lagging behind in a couple more years.

 

Dynon (not FD) could stop issuing updates for the 6.2 at any time, it's WAY back there....anyone still on it won't get terrain and bug fixes.  FD was the last (or only?) manufacturer to prevent owners from updating to the current versions.

Share this post


Link to post
Share on other sites

I understand that upgrading would be good. My problem is that the release by FD on their website does not do it. The problem: Loading the update_6.2_ to_11.1_CTLS.duc file as documented in the SI just exits without updating in less than a second (I think it does not extract it). Has anyone used it from 6.2 to 11.1 successfully?

Share this post


Link to post
Share on other sites

I understand that upgrading would be good. My problem is that the release by FD on their website does not do it. The problem: Loading the update_6.2_ to_11.1_CTLS.duc file as documented in the SI just exits without updating in less than a second (I think it does not extract it). Has anyone used it from 6.2 to 11.1 successfully?

 

Call FD USA and get help. 

Share this post


Link to post
Share on other sites

I've recently updated to 11.1 and agree it is a solid update.

 

To respond to the problem loading, I suggest re downloading and expand the zip to the root of the USB drive.

 

I made the mistake of putting the file in a sub folder and was shocked to find that Dynon doesn't allow navigation to subdirectories. Had to go back home and move the file.

 

Recently Dynon stopped providing FAA nav updates to 6.2, so I upgraded. Do yourself a favor and print the install procedure that FD posted, it's not hard but rather involved

Share this post


Link to post
Share on other sites

The one that is 'lagging behind' is Flight Design.  They are 'behind' by two versions.

The most current version of Skyview is v12.2.

 

 I'm currently using 13.03 on my SkyView Touch (RV12 SLSA)…what's the problem with FD?

Share this post


Link to post
Share on other sites

Technically with the ASTM standards the Mfg of an SLSA must approve and certify that the update is compatible and won't cause any issues with the aircraft and systems.

If you have an ELSA then it doesn't matter.

Share this post


Link to post
Share on other sites

Technically with the ASTM standards the Mfg of an SLSA must approve and certify that the update is compatible and won't cause any issues with the aircraft and systems.

If you have an ELSA then it doesn't matter.

 

Correct.  Anyone loading a non-approved version of Garmin or Dynon software is on their own.

Share this post


Link to post
Share on other sites

I'm currently using 13.03 on my SkyView Touch (RV12 SLSA)…what's the problem with FD?

The question would be if your plane came with that version our if it was an update approved by the manufacturer. If not, you are not in compliance with the FAAs Light Sport rules.

The system software is considered the primary instrumentation. (Which is different than GPS map updates.) There needs, for one thing, to be manufacturer approved updates to the POH to make a system update legal.

Share this post


Link to post
Share on other sites

 I'm currently using 13.03 on my SkyView Touch (RV12 SLSA)…what's the problem with FD?

 

Yea, it seems a bit crazy.  Even more so, when you consider that current shipping aircraft will have newer FW then they currently approve. 

 

The manufacturer could simply state to keep it updated.... Mine does. 

Share this post


Link to post
Share on other sites

The question would be if your plane came with that version our if it was an update approved by the manufacturer. If not, you are not in compliance with the FAAs Light Sport rules.

The system software is considered the primary instrumentation. (Which is different than GPS map updates.) There needs, for one thing, to be manufacturer approved updates to the POH to make a system update legal.

I always wait to download my firmware directly from the Vans site, as opposed to downloading directly from Dynon as soon as it comes out.

When a new version comes out from Dynon Vans will review it for potential issues (in my case for the RV-12) and then release it on their site for owners to download. They also issue settings files that may have been altered, or be required, by the new firmware.

 The 13.03 version was available from Vans a few weeks ago as were the POH updates.

 

Thanks for the info.

Share this post


Link to post
Share on other sites

A question for Matt in Australia - Did you ever get your Dynon 6.2 to 11.1 update to work?  I successfully updated a CTLS and a CTLSi and when I went to do a third aircraft (another CTLSi) I had the same issue you saw.  I also tried one of the other files and got a "this file is not compatible with this aircraft configuration" type of message.  Just wondering if FD had a fix for you?

 

Jim

Share this post


Link to post
Share on other sites

A question for Matt in Australia - Did you ever get your Dynon 6.2 to 11.1 update to work?  I successfully updated a CTLS and a CTLSi and when I went to do a third aircraft (another CTLSi) I had the same issue you saw.  I also tried one of the other files and got a "this file is not compatible with this aircraft configuration" type of message.  Just wondering if FD had a fix for you?

 

Jim

Yes it is now on 11.1. It was achieved by contacting Dynon Technical Support <support@dynonavionics.com> directly who kindly used the actual files on the FD website to supply them to me in a number of parts presumably to unlock, upgrade and relock the firmware system. I think FD still need to modify their release to make it work on all 6.2 installations. I am hopeful that the next release by FD to upgrade from 11.1 to the "latest" will have this sorted without having to contact Dynon.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×